com.tibbo.aggregate.common.expression.parser

## Interface ExpressionParserConstants

- All Known Implementing Classes:
    ExpressionParser, ExpressionParserTokenManager

      public interface ExpressionParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AND` RegularExpression Id.
    `static int` | `BINARY_LITERAL` RegularExpression Id.
    `static int` | `BITWISE_AND` RegularExpression Id.
    `static int` | `BITWISE_NOT` RegularExpression Id.
    `static int` | `BITWISE_OR` RegularExpression Id.
    `static int` | `BITWISE_XOR` RegularExpression Id.
    `static int` | `COLON` RegularExpression Id.
    `static int` | `COMMA` RegularExpression Id.
    `static int` | `DECIMAL_LITERAL` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DIGIT` RegularExpression Id.
    `static int` | `DIV` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQ` RegularExpression Id.
    `static int` | `EXPONENT` RegularExpression Id.
    `static int` | `FALSE` RegularExpression Id.
    `static int` | `FLOATING_POINT_LITERAL` RegularExpression Id.
    `static int` | `GT` RegularExpression Id.
    `static int` | `GTE` RegularExpression Id.
    `static int` | `HEX_LITERAL` RegularExpression Id.
    `static int` | `IDENTIFIER` RegularExpression Id.
    `static int` | `IN_MULTI_LINE_COMMENT` Lexical state.
    `static int` | `IN_SINGLE_LINE_COMMENT` Lexical state.
    `static int` | `INTEGER_LITERAL` RegularExpression Id.
    `static int` | `LBRACE` RegularExpression Id.
    `static int` | `LBRAKET` RegularExpression Id.
    `static int` | `LEFT_SHIFT` RegularExpression Id.
    `static int` | `LETTER` RegularExpression Id.
    `static int` | `LT` RegularExpression Id.
    `static int` | `LTE` RegularExpression Id.
    `static int` | `MATCH` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `MOD` RegularExpression Id.
    `static int` | `MUL` RegularExpression Id.
    `static int` | `MULTI_LINE_COMMENT` RegularExpression Id.
    `static int` | `NE` RegularExpression Id.
    `static int` | `NOT` RegularExpression Id.
    `static int` | `NULL` RegularExpression Id.
    `static int` | `OCTAL_LITERAL` RegularExpression Id.
    `static int` | `OR` RegularExpression Id.
    `static int` | `PLUS` RegularExpression Id.
    `static int` | `QUESTION` RegularExpression Id.
    `static int` | `RBRACE` RegularExpression Id.
    `static int` | `RBRAKET` RegularExpression Id.
    `static int` | `RIGHT_SHIFT` RegularExpression Id.
    `static int` | `SINGLE_LINE_COMMENT` RegularExpression Id.
    `static int` | `STRING_LITERAL` RegularExpression Id.
    `static java.lang.String[]` | `tokenImage` Literal token values.
    `static int` | `TRUE` RegularExpression Id.
    `static int` | `URICHAR` RegularExpression Id.
    `static int` | `URIGHT_SHIFT` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### SINGLE_LINE_COMMENT

          static final int SINGLE_LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MULTI_LINE_COMMENT

          static final int MULTI_LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISE_OR

          static final int BITWISE_OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISE_XOR

          static final int BITWISE_XOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISE_AND

          static final int BITWISE_AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISE_NOT

          static final int BITWISE_NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRUE

          static final int TRUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTEGER_LITERAL

          static final int INTEGER_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX_LITERAL

          static final int HEX_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_LITERAL

          static final int DECIMAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OCTAL_LITERAL

          static final int OCTAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BINARY_LITERAL

          static final int BINARY_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOATING_POINT_LITERAL

          static final int FLOATING_POINT_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          static final int STRING_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MUL

          static final int MUL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIV

          static final int DIV

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MOD

          static final int MOD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUESTION

          static final int QUESTION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQ

          static final int EQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE

          static final int NE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MATCH

          static final int MATCH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LTE

          static final int LTE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GTE

          static final int GTE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRAKET

          static final int LBRAKET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRAKET

          static final int RBRAKET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACE

          static final int LBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACE

          static final int RBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RIGHT_SHIFT

          static final int RIGHT_SHIFT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### URIGHT_SHIFT

          static final int URIGHT_SHIFT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LEFT_SHIFT

          static final int LEFT_SHIFT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IDENTIFIER

          static final int IDENTIFIER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### URICHAR

          static final int URICHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### IN_SINGLE_LINE_COMMENT

          static final int IN_SINGLE_LINE_COMMENT

      Lexical state.
      See Also:
        Constant Field Values

    - #### IN_MULTI_LINE_COMMENT

          static final int IN_MULTI_LINE_COMMENT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final java.lang.String[] tokenImage

      Literal token values.